Subject: Device only sends out one packet. Problem with netif queues?

From: Amit Uttamchandani <[email-masked]>
Date: Fri, 29 Jan 2010 01:00:45 -0800

I've been modifying drivers/net/ethoc.c for my specific application.

At this point, I get one packet to come out of the device (A DHCP
packet since udhcpc is started on boot). However, after that no other
packets are being sent out.

Could this be a problem in the way I've set up the queues? Or is there
another area in the code I should look at (e.g. napi stuff, phy
related, etc)?

This could be because I am not getting a 'transmit done' interrupt from my
hardware which I am still trying to fix. But I thought it should still
be sending out the packets right? Even though it doesn't receive an ack
from hardware?

Thanks for any help.